## org.apache.http.impl.cookie
Class NetscapeDraftHeaderParser

    java.lang.Object
      org.apache.http.impl.cookie.NetscapeDraftHeaderParser

    @Immutable
    public class NetscapeDraftHeaderParser

extends Object

Since:
  4.0

Field Summary
`static NetscapeDraftHeaderParser` `DEFAULT`

Constructor Summary
`NetscapeDraftHeaderParser()`

Method Summary
`HeaderElement` `parseHeader(CharArrayBuffer buffer, ParserCursor cursor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final NetscapeDraftHeaderParser DEFAULT

Constructor Detail

### NetscapeDraftHeaderParser

    public NetscapeDraftHeaderParser()

Method Detail

### parseHeader

    public HeaderElement parseHeader(CharArrayBuffer buffer,
                                     ParserCursor cursor)
                              throws ParseException

  Throws:
    `ParseException`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.